VERSION 1.0
VERBOSE 1
NODE frutree picl
    NODE chassis fru
    	PROP ViewPoints string r 0 "front rear side"
	PROP SlotType string r 0 "chassis"
	NODE fan-slot location
	    PROP SlotType string r 0 "fan-unit"
	    PROP Slot uint r 4 0
	    NODE fan-unit fru
	    ENDNODE
	ENDNODE
	NODE fan-slot location
	    PROP SlotType string r 0 "fan-unit"
	    PROP Slot uint r 4 1
	    NODE fan-unit fru
	    ENDNODE
	ENDNODE
	NODE fan-slot location
	    PROP SlotType string r 0 "fan-unit"
	    PROP Slot uint r 4 2
	    NODE fan-unit fru
	    ENDNODE
	ENDNODE
	NODE psu-slot location
	    PROP SlotType string r 0 "power-supply"
	    PROP Slot uint r 4 0
	    PROP Label string r 0 "PSU"
	    NODE power-supply fru
	    ENDNODE
        ENDNODE
	NODE fcal-backplane fru
	    NODE disk-slot location
		PROP SlotType string r 0 "disk-slot"
		PROP Slot uint r 4 0
		PROP Label string r 0 "HDD 0"
	    ENDNODE
	    NODE disk-slot location
		PROP SlotType string r 0 "disk-slot"
		PROP Slot uint r 4 1
		PROP Label string r 0 "HDD 1"
	    ENDNODE
	ENDNODE
	NODE scc-reader fru
	ENDNODE
    ENDNODE
ENDNODE
name:/frutree/chassis
NODE system-board fru
    NODE pci-slot location
	PROP SlotType string r 0 "pci"
    	PROP Label string r 0 "J2301"
	PROP Slot uint r 4 0
    ENDNODE
    NODE pci-slot location
	PROP SlotType string r 0 "pci"
    	PROP Label string r 0 "J2401"
	PROP Slot uint r 4 1
    ENDNODE
    NODE pci-slot location
	PROP SlotType string r 0 "pci"
    	PROP Label string r 0 "J2501"
	PROP Slot uint r 4 2
    ENDNODE
    NODE pci-slot location
	PROP SlotType string r 0 "pci"
    	PROP Label string r 0 "J2601"
	PROP Slot uint r 4 3
    ENDNODE
    NODE cpu-slot location
	PROP SlotType string r 0 "cpu"
    	PROP Label string r 0 "0"
    	PROP Slot uint r 4 0
    ENDNODE
    NODE cpu-slot location
	PROP SlotType string r 0 "cpu"
    	PROP Label string r 0 "1"
    	PROP Slot uint r 4 1
    ENDNODE
    NODE lom-slot location
	PROP SlotType string r 0 "lom"
	PROP Label string r 0 "J3501"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
    	PROP Slot uint r 4 0
    	PROP Label string r 0 "J0100"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
      	PROP Slot uint r 4 1
    	PROP Label string r 0 "J0101"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
      	PROP Slot uint r 4 2
    	PROP Label string r 0 "J0202"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
      	PROP Slot uint r 4 3
    	PROP Label string r 0 "J0203"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
      	PROP Slot uint r 4 4
    	PROP Label string r 0 "J0304"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
      	PROP Slot uint r 4 5
    	PROP Label string r 0 "J0305"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
      	PROP Slot uint r 4 6
    	PROP Label string r 0 "J0406"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
        PROP Slot uint r 4 7
    	PROP Label string r 0 "J0407"
    ENDNODE
ENDNODE
name:/frutree/chassis/system-board/cpu-slot?Slot=0
REFNODE cpu-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,30/cpu-fru@0,a0
name:/frutree/chassis/system-board/cpu-slot?Slot=1
REFNODE cpu-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,30/cpu-fru@0,a2
name:/frutree/chassis/system-board/lom-slot
REFNODE lom-module fru WITH name:/platform/pci@8,700000/ebus/SUNW,lombus
name:/frutree/chassis/system-board
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,30/motherboard-fru
name:/frutree/chassis/scc-reader
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,30/scc-reader
name:/frutree/chassis/psu-slot/power-supply
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,30/power-supply
name:/frutree/chassis/fcal-backplane
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,30/fcal-backplane
name:/frutree/chassis/system-board/cpu-slot?Slot=0/cpu-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,30/cpu-fru@0,a0
name:/frutree/chassis/system-board/cpu-slot?Slot=1/cpu-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,30/cpu-fru@0,a2
name:/frutree/chassis/system-board/lom-slot/lom-module 
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,30/lomlite2
name:/frutree/chassis/system-board/mem-slot?Label=J0407
REFNODE mem-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,ae
name:/frutree/chassis/system-board/mem-slot?Label=J0406
REFNODE mem-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,ac
name:/frutree/chassis/system-board/mem-slot?Label=J0305
REFNODE mem-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,aa
name:/frutree/chassis/system-board/mem-slot?Label=J0304
REFNODE mem-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a8
name:/frutree/chassis/system-board/mem-slot?Label=J0203
REFNODE mem-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a6
name:/frutree/chassis/system-board/mem-slot?Label=J0202
REFNODE mem-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a4
name:/frutree/chassis/system-board/mem-slot?Label=J0101
REFNODE mem-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a2
name:/frutree/chassis/system-board/mem-slot?Label=J0100
REFNODE mem-module fru WITH name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a0
name:/frutree/chassis/system-board/mem-slot?Label=J0407/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,ae
name:/frutree/chassis/system-board/mem-slot?Label=J0406/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,ac
name:/frutree/chassis/system-board/mem-slot?Label=J0305/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,aa
name:/frutree/chassis/system-board/mem-slot?Label=J0304/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a8
name:/frutree/chassis/system-board/mem-slot?Label=J0203/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a6
name:/frutree/chassis/system-board/mem-slot?Label=J0202/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a4
name:/frutree/chassis/system-board/mem-slot?Label=J0101/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a2
name:/frutree/chassis/system-board/mem-slot?Label=J0100/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a0
name:/platform/pci/ebus/i2c@1,2e/dimm-fru@1,ae
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0407/mem-module
name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,ac
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0406/mem-module
name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,aa
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0305/mem-module
name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a8
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0304/mem-module
name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a6
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0203/mem-module
name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a4
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0202/mem-module
name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a2
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0101/mem-module
name:/platform/pci@8,700000/ebus/i2c@1,2e/dimm-fru@1,a0
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0100/mem-module
_class:cpu?ID=0
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=0/cpu-module
name:/platform/memory-controller?portid=0
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=0/cpu-module
_class:cpu?ID=1
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=1/cpu-module
name:/platform/memory-controller?portid=0
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=1/cpu-module
name:/platform/pci@8,700000/ebus/i2c@1,30/motherboard-fru
REFPROP _fru_parent /frutree/chassis/system-board
name:/platform/pci@8,700000/ebus/i2c@1,30/scc-reader
REFPROP _fru_parent /frutree/chassis/scc-reader
name:/platform/pci@8,700000/ebus/i2c@1,30/fcal-backplane
REFPROP _fru_parent /frutree/chassis/fcal-backplane
name:/platform/pci@8,700000/ebus/i2c@1,30/power-supply
REFPROP _fru_parent /frutree/chassis/psu-slot/power-supply
name:/platform/pci@8,700000/ebus/i2c@1,30/lomlite2
REFPROP _fru_parent /frutree/chassis/system-board/lom-slot/lom-module
name:/platform/pci@8,700000/ebus/i2c@1,30/temperature-device@0,30
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=0/cpu-module
name:/platform/pci@8,700000/ebus/i2c@1,30/temperature-device@0,98
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=1/cpu-module
name:/platform/pci@8,700000/ebus/i2c@1,30/ioexp@0,74
NODE disk-led led
    PROP UnitAddress string r 0 "80"
    PROP Label string r 0 "HDD 0 Power"
    PROP Color string r 0 "green"
ENDNODE
NODE disk-led led
    PROP UnitAddress string r 0 "40"
    PROP Label string r 0 "HDD 0 Fault"
    PROP Color string r 0 "amber"
ENDNODE
NODE disk-led led
    PROP UnitAddress string r 0 "20"
    PROP Label string r 0 "HDD 0 OK to remove"
    PROP Color string r 0 "blue"
ENDNODE
NODE disk-led led
    PROP UnitAddress string r 0 "10"
    PROP Label string r 0 "HDD 1 Power"
    PROP Color string r 0 "green"
ENDNODE
NODE disk-led led
    PROP UnitAddress string r 0 "8"
    PROP Label string r 0 "HDD 1 Fault"
    PROP Color string r 0 "amber"
ENDNODE
NODE disk-led led
    PROP UnitAddress string r 0 "4"
    PROP Label string r 0 "HDD 1 OK to remove"
    PROP Color string r 0 "blue"
ENDNODE
name:/platform/memory-controller?portid=0/memory-module-group?ID=0/memory-module?ID=0
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0100/mem-module
name:/platform/memory-controller?portid=0/memory-module-group?ID=0/memory-module?ID=1
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0202/mem-module
name:/platform/memory-controller?portid=0/memory-module-group?ID=0/memory-module?ID=2
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0304/mem-module
name:/platform/memory-controller?portid=0/memory-module-group?ID=0/memory-module?ID=3
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0406/mem-module
name:/platform/memory-controller?portid=0/memory-module-group?ID=1/memory-module?ID=0
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0101/mem-module
name:/platform/memory-controller?portid=0/memory-module-group?ID=1/memory-module?ID=1
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0203/mem-module
name:/platform/memory-controller?portid=0/memory-module-group?ID=1/memory-module?ID=2
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0305/mem-module
name:/platform/memory-controller?portid=0/memory-module-group?ID=1/memory-module?ID=3
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=J0407/mem-module
name:/frutree/chassis/system-board/pci-slot?Label=J2601
REFNODE pci-card fru WITH name:/platform/pci@8,700000/picl?DeviceID=1
name:/frutree/chassis/system-board/pci-slot?Label=J2501
REFNODE pci-card fru WITH name:/platform/pci@8,700000/picl?DeviceID=2
name:/frutree/chassis/system-board/pci-slot?Label=J2401
REFNODE pci-card fru WITH name:/platform/pci@8,700000/picl?DeviceID=3
name:/frutree/chassis/system-board/pci-slot?Label=J2301
REFNODE pci-card fru WITH name:/platform/pci@8,600000/picl?DeviceID=1
name:/platform/pci@8,700000/picl?DeviceID=1
REFPROP _fru_parent name:/frutree/chassis/system-board/pci-slot?Label=J2601/pci-card
name:/platform/pci@8,700000/picl?DeviceID=2
REFPROP _fru_parent name:/frutree/chassis/system-board/pci-slot?Label=J2501/pci-card
name:/platform/pci@8,700000/picl?DeviceID=3
REFPROP _fru_parent name:/frutree/chassis/system-board/pci-slot?Label=J2401/pci-card
name:/platform/pci@8,600000/picl?DeviceID=1
REFPROP _fru_parent name:/frutree/chassis/system-board/pci-slot?Label=J2301/pci-card
